#include <stm32f10x.h>

#define lcd_port GPIOA
#define RST GPIO_Pin_5
#define CS_LCD GPIO_Pin_6
#define SCL GPIO_Pin_2
#define SI GPIO_Pin_3

#define ICON_ADR 24
#define ON 1
#define OFF 0
#define ICON_RX_LEVEL 1
#define ICON_BAT_LEVEL 2
#define ICON_HOME 3
#define PHONE 4
#define ICON_PHONE_RING 5
#define ICON_PHONE_OUT 6
#define ICON_NO_RING 7
#define ICON_KEY 8

#define LEVEL_0 1
#define LEVEL_1 2
#define LEVEL_2 3
#define LEVEL_3 4
#define LEVEL_4 5

#define DEL_CONST 10

#define MEM_SIZE 12*25	//96x25 dots

extern unsigned char lcd_mem[MEM_SIZE];
extern uint8_t row;

void init_lcd(void);
void update_lcd(void);
void Write_8 (uint8_t data);
void init_mem(unsigned char init_val);
void lcd_io_delay (uint32_t delay);
void switch_icon(uint8_t icon_name, uint8_t state, uint8_t param);


